gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum System.Flags These are hints originally defined by the Motif toolkit. The window manager can use them when determining how to decorate the window. The hint must be set before mapping the window.
- Field
  2.12.0.0
  Gdk.WMDecoration All decorations should be applied.
- Field
  2.12.0.0
  Gdk.WMDecoration A frame should be drawn around the window.
- Field
  2.12.0.0
  Gdk.WMDecoration A maximize button should be included.
- Field
  2.12.0.0
  Gdk.WMDecoration A button for opening a menu should be included.
- Field
  2.12.0.0
  Gdk.WMDecoration A minimize button should be included.
- Field
  2.12.0.0
  Gdk.WMDecoration The frame should have resize handles.
- Field
  2.12.0.0
  Gdk.WMDecoration A titlebar should be placed above the window.